Subject: bug#47953: closed (Re: bug#47953: fennel doesn't print version with -v)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 29 Apr 2023 04:46:01 +0000

Your bug report

#47953: fennel doesn't print version with -v

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47953: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=47953
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47953: fennel doesn't print version with -v
From: Jack Hill <[email-masked]>
To: [email-masked]
Date: Sat, 29 Apr 2023 00:45:45 -0400 (EDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, 22 Apr 2021, Jack Hill wrote:
>
> This is an upstream bug in fennel. It was fixed today, but not released yet 
> [0]. It seems like a minor annoyance, so I think it's okay to wait until the 
> next release.
>
> [0] 
> https://git.sr.ht/~technomancy/fennel/commit/904e3ee165d097411bab599b9378895695629b70

And indeed it was fixed, both upstream and in Guix! We just neglected to 
close this issue, so I'm doing that now, yay!

Best,
Jack

Subject: fennel doesn't print version with -v
From: Jack Hill <[email-masked]>
To: [email-masked]
Date: Thu, 22 Apr 2021 10:39:48 -0400 (EDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

>From the fennel man page:

        -v, --version
               Print the version number and exit

However, only the long options seems to work:

jackhill@alperton ~ [env]$ fennel --version
Fennel 0.8.1 on Lua 5.3
jackhill@alperton ~ [env]$ fennel -v
runtime error: -v: No such file or directory
stack traceback:
   [C]: in function 'assert'
   ...tore/lgaycpzwfair15b4m1lvzjim0gv3l0gp-profile/bin/fennel:3630: in function ?
   [C]: in function 'xpcall'
   ...tore/lgaycpzwfair15b4m1lvzjim0gv3l0gp-profile/bin/fennel:4036: in function ?
   [C]: in ?

Other short options, like -h, do work. This isn't that annoying a problem, 
but I wonder if it presents some problem with out fennel package.

I'm using Guix commit 58d96474bdc355619890f85bf6095a79074f6ee8

Best,
Jack